FBEditor

avm_7170

Aktives Mitglied
Mitglied seit
4 Jun 2015
Beiträge
1,272
Punkte für Reaktionen
88
Punkte
48

PeterPawn

IPPF-Urgestein
Mitglied seit
10 Mai 2006
Beiträge
12,881
Punkte für Reaktionen
961
Punkte
113
Bekomme immer den Fehler, dass beim einlesen der Daten ein Fehler aufgetreten ist.
Das ist dann schon "Export" aus Sicht der Box und der ist (inzwischen) über die 2FA abgesichert, sofern man diese nicht deaktiviert hat.
 

jarre

Neuer User
Mitglied seit
22 Jan 2013
Beiträge
4
Punkte für Reaktionen
0
Punkte
1
Hallo wie installiere ich den Editor auf mac ? Habe alles geladen aber keine fbeditor.java Datei gefunden.
Die 2 Faktor autosierung kann ich nicht deaktivieren! Kommt kurz eine Fehlermeldung dann muss ich wieder mein pw eingeben und komme wieder dahin wo ich es deaktivieren kann ist aber immer noch aktiv !! fb 5490 und Os 7.01
Danke im Voraus!
 

NDiIPP

Aktives Mitglied
Mitglied seit
13 Apr 2017
Beiträge
2,943
Punkte für Reaktionen
502
Punkte
113
Hallo wie installiere ich den Editor auf mac ?
Installieren des FBEditor ist imo nicht notwendig. Starten auf einem Mac bspw. per:
Code:
java -jar FBEditor-0.6.9.7h.jar


Die 2 Faktor autosierung kann ich nicht deaktivieren!
Warum willst du die überhaupt deaktivieren? Der Hinweis bezüglich der Deaktivierung der 2FA ist nur dann zu beachten, wenn man die Konfiguration mit dem FBEditor automatisiert einlesen und auch wieder importieren möchte. Aber das ist nicht notwendig für die Nutzung des FBEditor. Ich würde sowieso empfehlen den Export und Import manuell durchzuführen, beim Import bekommt man dann auch eventuelle Fehlermeldungen der Fritzbox direkt mitgeteilt.
 

jarre

Neuer User
Mitglied seit
22 Jan 2013
Beiträge
4
Punkte für Reaktionen
0
Punkte
1
Update die 2 Faktor konnte ich mit anderem browser machen ! Hab alles von gilithub geladen ganzer Ordner FBeditor da hat’s keine Java Datei mit fb Editor ! Was geht ? Danke schön!!
Grüsse
 
Zuletzt bearbeitet:

jarre

Neuer User
Mitglied seit
22 Jan 2013
Beiträge
4
Punkte für Reaktionen
0
Punkte
1
Hallo

Unter windoof (VM natürlich) hab ich ihn zum laufen gekriegt auf dem mac kommt immer nur Fehlermeldung.
Nun gut kleine Änderung gemacht aber kann die Erstelle Export Datei nicht auf die Box laden da ich ein Passwort brauche !!
Wie ist das Pw??
Danke schön Grüsse jarre
 

avm_7170

Aktives Mitglied
Mitglied seit
4 Jun 2015
Beiträge
1,272
Punkte für Reaktionen
88
Punkte
48
@jarre:

Mit der Meldung des Passwortes ist der Zugang zu deiner FB gemeint und das ein Passwort in derr Box gesetzt sein muss.
 

jarre

Neuer User
Mitglied seit
22 Jan 2013
Beiträge
4
Punkte für Reaktionen
0
Punkte
1
Ahh einfach das Passwort der Oberfläche?
Ok Danke kommt davon wenn man nach der. Arbeit (4 Uhr aufstehen) noch an den iMac geht ! vielen Dank und schönen Abend!
 

stoney

Moderator
Teammitglied
Mitglied seit
7 Okt 2015
Beiträge
5,475
Punkte für Reaktionen
424
Punkte
83
Ich würde sowieso empfehlen den Export und Import manuell durchzuführen, beim Import bekommt man dann auch eventuelle Fehlermeldungen der Fritzbox direkt mitgeteilt.
das sehe ich auch so, dann fällt einem zB auch so ein Kennwort nicht auf die Füße ;-)
 

Ducati620

Neuer User
Mitglied seit
8 Jul 2013
Beiträge
5
Punkte für Reaktionen
0
Punkte
1
@jarre Wie hast du das Folder.ZIP von Github ohne *.jar File zum laufen bekommen?

Gruß
Duc
 

ricciazz

Neuer User
Mitglied seit
15 Sep 2018
Beiträge
2
Punkte für Reaktionen
0
Punkte
1
Hi,
es hatte schon mal im Februar 2019 mit einer leicht älteren Version funktioniert, doch die aktuelle 7.2 scheint meine java-Umgebung nicht zu mögen.
Wenn ich im Editor die Konfiguration einlesen möchte, erhalte ich in der Konsole diese Exception:

java -jar FBEditor-0.7.2.jar
Properties Set using default values
position_top: 75
position_left: 697
position_height: 798
position_width: 957
(09.09.19 08:25:13): OS Language: de
(09.09.19 08:25:13): OS Country: DE
(09.09.19 08:25:13): Selected language: de_DE
(09.09.19 08:25:13): INFO: Loading locale: de_DE
(09.09.19 08:25:13): Java version: 11.0.4
Font: : Consolas
Debug boxtype: 113
Exception in thread "AWT-EventQueue-0" java.lang.ClassCastException: class javax.swing.text.AbstractDocument$DefaultDocumentEventUndoableWrapper cannot be cast to class javax.swing.text.AbstractDocument$DefaultDocumentEvent (javax.swing.text.AbstractDocument$DefaultDocumentEventUndoableWrapper and javax.swing.text.AbstractDocument$DefaultDocumentEvent are in module java.desktop of loader 'bootstrap')
at de.FBEditor.struct.CompoundUndoManager.undoableEditHappened(CompoundUndoManager.java:54)
at java.desktop/javax.swing.text.AbstractDocument.fireUndoableEditUpdate(AbstractDocument.java:293)
at java.desktop/javax.swing.text.AbstractDocument.handleRemove(AbstractDocument.java:632)
at java.desktop/javax.swing.text.AbstractDocument.remove(AbstractDocument.java:596)
at java.desktop/javax.swing.JEditorPane.setText(JEditorPane.java:1422)
at de.FBEditor.FBEdit.setData(FBEdit.java:315)
at de.FBEditor.ImportData.run(ImportData.java:106)
at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:313)
at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)


Wobei ich eine Mail von der Fritzbox erhalte, dass ein Export angestoßen wurde. Die Konfiguration wird also eingelesen.
Eine .export Datei zu öffnen funktioniert. Wenn ich aber diese zurückspielen möchte, erhalte ich diese Ausnahme auf der Konsole:

(09.09.19 08:40:58): DEBUG: **** FRITZ!Box 7490 CONFIGURATION EXPORT
(09.09.19 08:40:58): DEBUG: **** CFGFILE:ar7.cfg
(09.09.19 08:40:58): DEBUG: **** CFGFILE:wlan.cfg
(09.09.19 08:40:58): DEBUG: **** CFGFILE:voip.cfg
(09.09.19 08:40:58): DEBUG: **** CFGFILE:usb.cfg
(09.09.19 08:40:58): DEBUG: **** CFGFILE:tr069.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:fx_cg
(09.09.19 08:40:58): DEBUG: **** BINFILE:fx_conf
(09.09.19 08:40:58): DEBUG: **** BINFILE:fx_def
(09.09.19 08:40:58): DEBUG: **** BINFILE:fx_lcr
(09.09.19 08:40:58): DEBUG: **** BINFILE:telefon_misc
(09.09.19 08:40:58): DEBUG: **** BINFILE:phonebook
(09.09.19 08:40:58): DEBUG: **** BINFILE:calllog
(09.09.19 08:40:58): DEBUG: **** BINFILE:dect_misc
(09.09.19 08:40:58): DEBUG: **** BINFILE:fonctrl
(09.09.19 08:40:58): DEBUG: **** BINFILE:dect_eeprom
(09.09.19 08:40:58): DEBUG: **** BINFILE:dmgr_handset_user
(09.09.19 08:40:58): DEBUG: **** BINFILE:tamconf
(09.09.19 08:40:58): DEBUG: **** CFGFILE:vpn.cfg
(09.09.19 08:40:58): DEBUG: **** CFGFILE:user.cfg
(09.09.19 08:40:58): DEBUG: **** CFGFILE:userstat.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:umts.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:configd
(09.09.19 08:40:58): DEBUG: **** CFGFILE:ahausr.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:aha.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:ahastat.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:ahadect.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:ahanet.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:ahaglobal.cfg
(09.09.19 08:40:58): DEBUG: **** BINFILE:ahapushmail.cfg
(09.09.19 08:40:58): DEBUG: **** CFGFILE:avmnexus.cfg
(09.09.19 08:40:58): DEBUG: **** END OF EXPORT 60D493FC ****
(09.09.19 08:40:58): DEBUG: CHECKSUM OK: 60D493FC
(09.09.19 08:40:59): ERROR: Can't find resource string for
Exception in thread "AWT-EventQueue-0" java.util.MissingResourceException: Can't find resource for bundle java.util.PropertyResourceBundle, key
at java.base/java.util.ResourceBundle.getObject(ResourceBundle.java:564)
at java.base/java.util.ResourceBundle.getString(ResourceBundle.java:521)
at de.FBEditor.FBEdit.getMessage(FBEdit.java:787)
at de.FBEditor.utils.Utils.exportData(Utils.java:151)
at de.FBEditor.FBEdit.putFile(FBEdit.java:349)
at de.FBEditor.ActionListen.actionPerformed(ActionListen.java:45)
at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
at java.desktop/javax.swing.AbstractButton.doClick(AbstractButton.java:369)
at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1020)
at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1064)
at java.desktop/java.awt.Component.processMouseEvent(Component.java:6632)
at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3342)
at java.desktop/java.awt.Component.processEvent(Component.java:6397)
at java.desktop/java.awt.Container.processEvent(Container.java:2263)
at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:5008)
at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2321)
at java.desktop/java.awt.Component.dispatchEvent(Component.java:4840)
at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4918)
at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4547)
at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Container.java:4488)
at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2307)
at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2772)
at java.desktop/java.awt.Component.dispatchEvent(Component.java:4840)
at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:772)
at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:95)
at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:743)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
 

ricciazz

Neuer User
Mitglied seit
15 Sep 2018
Beiträge
2
Punkte für Reaktionen
0
Punkte
1

Micha0815

IPPF-Promi
Mitglied seit
25 Feb 2008
Beiträge
3,820
Punkte für Reaktionen
199
Punkte
63
Sorry @Pikachu aber irgendwie war/ist die Versionsnomenklatur seit Jahren -eher seit Anbeginn dieses Threads und den Versionen von @olistudent- und Dir ein Debakel.
Nehme ich https://github.com/mypikachu/FBEditor/releases und scrolle die Versionen, greift "Otto-Normal-Anwender" stets wohl zur "höchsten" Version 0.7.2.x oder 7.2. die gerade dummerweise ganz unten steht? Schlau wäre eine andere Nomenklatur oder "alte Versionen in die Github-History zu verbannen, sodass NUR eine aktuelle Version/oder Fallback zuoberst "prangt". Ob die nun 0.8.0b (wie better) heisst ist mir wurst. Über aktuelle DL-Statistiken sollte Dir doch -mutmasslich- auffallen, dass oftmals nicht die aktuellste Version "gezogen" wird. Die "Dunkelziffer" derjenigen, die kurz downloaden-Testen-"funktioniert-nicht-auf-Anhieb" (u.U. aufgrund der falschen Version) dürfte nicht unerheblich sein ;)
LG and my2cent
 
  • Like
Reaktionen: Olaf Ligor

flow87

Mitglied
Mitglied seit
23 Mrz 2010
Beiträge
235
Punkte für Reaktionen
0
Punkte
16

eisbaerin

IPPF-Promi
Mitglied seit
29 Sep 2009
Beiträge
7,550
Punkte für Reaktionen
307
Punkte
83
Zuletzt bearbeitet:

KunterBunter

IPPF-Urgestein
Mitglied seit
12 Okt 2005
Beiträge
24,039
Punkte für Reaktionen
256
Punkte
83
mit dieser Anleitung
Die ist total veraltet. NoChecks=yes geht schon seit Jahren nicht mehr. Da steht zwar vom 27. März, aber nicht, welches Jahr. ;)
Du schriebst auch nicht, welche Version des FBEditor du benutzt hast. :(
 

eisbaerin

IPPF-Promi
Mitglied seit
29 Sep 2009
Beiträge
7,550
Punkte für Reaktionen
307
Punkte
83

flow87

Mitglied
Mitglied seit
23 Mrz 2010
Beiträge
235
Punkte für Reaktionen
0
Punkte
16
Weil ich mit meiner derzeitigen FW zufrieden bin.

Ich habe FBEditor 0.7 unter Windows genutzt.